package com.example.gittaskapp

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent

import androidx.compose.foundation.background

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.Button
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Surface
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember

import androidx.compose.ui.Alignment

import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.sp
import com.example.gittaskapp.ui.theme.GitTaskAppTheme

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            GitTaskAppTheme {
                // A surface container using the 'background' color from the theme
                Surface(
                    modifier = Modifier.fillMaxSize(),
                    color = MaterialTheme.colorScheme.background
                ) {

                    StringFlip()

                }
            }
        }
    }
}

@Composable
fun TaskGeorge() {
    var message = remember{mutableStateOf("")}
    var char = remember{mutableStateOf("")}
    var result = message.value

    Column {
        Text(text = "Добро пожаловать")
        Text(
            text = "Введите исходную строку"
        )
        TextField(
            value = message.value,
            onValueChange = {newText -> message.value = newText}
        )
        Text(
            text = "Введите символ, который вы хотите удалить"
        )
        TextField(
            value = char.value,
            onValueChange = {newText -> char.value = newText}
        )

        Text(

           text = result.replace(char.value.toString(), "")
        )
    }
}

@Composable
fun StringFlip(){
    var message = remember {
        mutableStateOf("")
    }
    var result = message.value
    Column(
        modifier = Modifier
            .fillMaxSize()
            .background(color = Color.White),
        horizontalAlignment = Alignment.CenterHorizontally
    ) {
        Text(
            text = "Введите строку",
            fontSize = 24.sp,
            fontWeight = FontWeight.SemiBold
        )
        TextField(value = message.value, onValueChange = {newText -> message.value = newText})
        Text(
            text = "Результат:",
            fontSize = 24.sp,
            fontWeight = FontWeight.SemiBold
        )
        Text(
            text = result.substring(result.length - (result.length / 2), result.length)
                    + result.substring((result.length / 2), result.length - (result.length / 2))
                    + result.substring(0, (result.length / 2)),
            fontSize = 24.sp,
            fontWeight = FontWeight.SemiBold
        )
    }
}

@Composable
@Preview
fun Preview(){
    StringFlip()
}
@Composable
fun multiplyElements(array: IntArray) {
    for (i in array.indices) {
        if (array[i] > 0) {
            array[i] *= 4
        } else if (array[i] < 0) {
            array[i] *= 3
        }
    }
}

@Composable
fun mainZadaci() {
    val array = intArrayOf(1, -2, 3, -4, 5)
    println("Исходный массив: ${array.joinToString()}")
    multiplyElements(array)
    println("Массив после преобразования: ${array.joinToString()}")
}
